Tanya :

Saya mau install Sun JDK 6 di Ubuntu 10.04, tapi kok dapat pesan seperti ini ya ? Apa yang salah

ujang@ujang-laptop:~/Downloads/pyqrcode-0.2.1$ sudo apt-get install sun-java6-jdk
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package sun-java6-jdk is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package sun-java6-jdk has no installation candidate

Jawab :

Semenjak di Ubuntu 10.04, SDK sudah tidak ada lagi di multiverse jadi anda harus sedikit merubah repository anda :

Lakukan seperti berikut :

sudo add-apt-repository "deb http://archive.canonical.com/ lucid partner"
sudo apt-get update
sudo apt-get install sun-java6-jdk

Setelah itu lakukan pointing ke versi Java yang hendak anda pakai sebagai berikut :

sudo update-java-alternatives -l

Perintah diatas untuk melihat versi berapa saja yang ada di komputer anda

sudo update-java-alternatives -s XXXX

Untuk mengatur versi XXX dari Java sebagai default. Untuk Sun Java 6 formatnya adalah

sudo update-java-alternatives -s java-6-sun

Jalankan perintah :

java -version

Untuk memastikan versi java yang digunakan benar

 

Atau dapat juga menggunakan cara interaktif :

sudo update-alternatives --config java

Lalu ikuti petunjuk-petunjuk yang tampil di layar

OK, selamat mencoba

Iklan